XmppPacketTypeFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.xmpp.filters.XmppPacketTypeFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp.filters
Class XmppPacketTypeFilter

    java.lang.Object
      org.mule.transport.xmpp.filters.AbstractXmppFilter
          org.mule.transport.xmpp.filters.XmppPacketTypeFilter

All Implemented Interfaces:
  org.jivesoftware.smack.filter.PacketFilter, Filter

    public class XmppPacketTypeFilter

extends AbstractXmppFilter

`XmppPacketTypeFilter` is an Xmpp PacketTypeFilter adapter.

Field Summary

Fields inherited from class org.mule.transport.xmpp.filters.AbstractXmppFilter
`delegate`

Constructor Summary
`XmppPacketTypeFilter()`
`XmppPacketTypeFilter(Class expectedType)`

Method Summary
`protected org.jivesoftware.smack.filter.PacketFilter` | `createFilter()`
`boolean` | `equals(Object obj)`
`Class` | `getExpectedType()`
`int` | `hashCode()`
`void` | `setExpectedType(Class expectedType)`

Methods inherited from class org.mule.transport.xmpp.filters.AbstractXmppFilter
`accept, accept`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmppPacketTypeFilter

    public XmppPacketTypeFilter()

### XmppPacketTypeFilter

    public XmppPacketTypeFilter(Class expectedType)

Method Detail

### getExpectedType

    public Class getExpectedType()

### setExpectedType

    public void setExpectedType(Class expectedType)

### createFilter

    protected org.jivesoftware.smack.filter.PacketFilter createFilter()

  Specified by:
    `createFilter` in class `AbstractXmppFilter`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.